Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataWriter Class Reference

`#include <vtkPolyDataWriter.h>`

Inheritance diagram for vtkPolyDataWriter:

[legend]
Collaboration diagram for vtkPolyDataWriter:

[legend]
List of all members.

## Detailed Description

write vtk polygonal data

Date:
  2002/05/31 23:12:41

Revision:
  1.23

vtkPolyDataWriter is a source object that writes ASCII or binary polygonal data files in vtk format. See text for format details.

Warning:
  Binary files written on one system may not be readable on other systems.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (68%)
  - Lorensen, Bill (10%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkPolyDataWriter.h)`
  - .`cxx` (`/IO/vtkPolyDataWriter.cxx)`

Tests:
  vtkPolyDataWriter (Tests)

Definition at line 50 of file vtkPolyDataWriter.h.

## Public Types
typedef vtkDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkPolyData *input)
vtkPolyData * | GetInput ()
## Static Public Methods
vtkPolyDataWriter * | New ()
int | IsTypeOf (const char *type)
vtkPolyDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyDataWriter ()
| ~vtkPolyDataWriter ()
void | WriteData ()

## Member Typedef Documentation

typedef vtkDataWriter vtkPolyDataWriter::Superclass

| Reimplemented from vtkDataWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, and vtkSTLWriter. Definition at line 54 of file vtkPolyDataWriter.h.

## Constructor & Destructor Documentation

vtkPolyDataWriter::vtkPolyDataWriter | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkPolyDataWriter.h.

vtkPolyDataWriter::~vtkPolyDataWriter | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkPolyDataWriter.h.

## Member Function Documentation

vtkPolyDataWriter* vtkPolyDataWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkDataWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, and vtkSTLWriter.

virtual const char* vtkPolyDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, and vtkSTLWriter.

int vtkPolyDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, and vtkSTLWriter.

virtual int vtkPolyDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, and vtkSTLWriter.

vtkPolyDataWriter* vtkPolyDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, and vtkSTLWriter.

void vtkPolyDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, and vtkSTLWriter.

void vtkPolyDataWriter::SetInput | ( | vtkPolyData * | input | ) |

| Set / get the input data or filter.

vtkPolyData* vtkPolyDataWriter::GetInput | ( |  | ) |

| Set / get the input data or filter. Reimplemented from vtkWriter.

void vtkPolyDataWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkDataWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, and vtkSTLWriter.

The documentation for this class was generated from the following file:

- IO/vtkPolyDataWriter.h